Bug 431145 - certain eps files cannot be printed with evince or gv to cups print server
certain eps files cannot be printed with evince or gv to cups print server
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-31 19:41 EST by Jussi Eloranta
Modified: 2009-04-29 19:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
EPS file that does not print (349.88 KB, image/x-eps)
2008-01-31 19:41 EST, Jussi Eloranta
no flags Details

  None (edit)
Description Jussi Eloranta 2008-01-31 19:41:25 EST
Description of problem:

Certain eps files fail to print (via appropriate program since eps don't have
showpage in the end etc.). In my print server cups errorlog I can see the
following messages:

I [31/Jan/2008:16:25:31 -0800] [Job 1181] Adding start banner page "none".
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Adding job file of type
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Adding end banner page "none".
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Queued on "Lexmark_E234" by "eloranta".
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Started filter
/usr/lib/cups/filter/pstops (PID 28279)
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Started filter
/usr/lib/cups/filter/foomatic-rip (PID 28280)
I [31/Jan/2008:16:25:31 -0800] [Job 1181] Started backend
/usr/lib/cups/backend/usb (PID 28281)
E [31/Jan/2008:16:25:31 -0800] [Job 1181] No %%Pages: comment in header!
I [31/Jan/2008:16:25:33 -0800] [Job 1181] Completed successfully.

Next I thought that maybe I should try adding %%Pages: 1 in the eps file
document header. Well, the %%Pages error message disappeared but the file won't
still print. I am attaching the file with this report. I have tried printing the
file from both gv and evince.

Currently I have the latest cups installed. Both client and server say:

Installed Packages
cups.i386                                1:1.3.5-2.fc8          installed       
cups-libs.i386                           1:1.3.5-2.fc8          installed
Comment 1 Jussi Eloranta 2008-01-31 19:41:25 EST
Created attachment 293674 [details]
EPS file that does not print
Comment 2 Tim Waugh 2008-02-14 11:13:21 EST
Not entirely sure what's to blame for this.  Will ask on the cups development
mailing list.
Comment 3 Tim Waugh 2008-02-25 10:58:28 EST
The EPS file is malformed:

fig3.eps: FAIL
    Missing or bad %%Pages: comment!
        REF: Page 43, %%Pages:
    Missing or bad %%Page: comments!
        REF: Page 53, %%Page:

In other words, not only is '%%Pages:' missing, but '%%Page:' is missing for
each page as well.  Adding both of these in gives me a file that prints correctly.

Assuming your EPS file was generated using grace on Fedora 8, changing component
and reassigning.
Comment 4 Bug Zapper 2008-11-26 04:39:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Patrice Dumas 2008-12-04 15:40:30 EST
How was the figure generated?
Comment 6 Bug Zapper 2009-01-09 02:38:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Erik Ylvisaker 2009-04-29 19:03:26 EDT
This bug still exists in Fedora Core 10.

EPS file is produced in grace by the following.
1. Run xmgrace
2. File -> Print Setup
3. Change device to EPS
4. Click Accept
5. File -> Print

Now the file "Untitled.eps" is created.  It will not print from evince.

The file can be fixed manually by adding the following two lines to the header (I have only tested at the end, but that probably doesn't matter):
%%Pages: 1
%%Page: 1

Note You need to log in before you can comment on or make changes to this bug.